import { NodeRange } from '@joe-re/sql-parser';
export declare type Diagnostic = {
    message: string;
    location: NodeRange;
    rulename: string;
    errorLevel: ErrorLevel;
};
export declare type Rule<NodeType = any, RuleConfig = any> = {
    meta: {
        name: string;
        type: string;
    };
    create: (c: Context<NodeType, RuleConfig>) => Diagnostic | undefined;
};
export declare enum ErrorLevel {
    Off = 0,
    Warn = 1,
    Error = 2
}
export declare type Config = {
    rules: {
        [key: string]: RuleConfig<any>;
    };
};
export declare type RuleConfig<T = void> = {
    level: ErrorLevel;
    option?: T;
};
export declare type Context<NODE = any, CONFIG = any> = {
    getSQL(range?: NodeRange, option?: {
        before?: number;
        after?: number;
    }): string;
    node: NODE;
    config: CONFIG;
};
export declare function execute(sql: string, config: Config): Diagnostic[];
