"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.linebreakAfterClauseKeyword = void 0;
const META = {
    name: 'linebreak-after-clause-keyword',
    type: 'keyword'
};
exports.linebreakAfterClauseKeyword = {
    meta: META,
    create: (context) => {
        const regexp = new RegExp(/\n|\r\n|\r$/);
        const part = context.getSQL(context.node.location, { after: 1 });
        const result = regexp.exec(part);
        if (!result) {
            return {
                message: `A linebreak is required after ${context.node.value} keyword`,
                location: context.node.location,
                rulename: META.name,
                errorLevel: context.config.level
            };
        }
    }
};
//# sourceMappingURL=linebreakAfterClauseKeyword.js.map